{TSTO constants. 
 Steven S. Pietrobon 26 Dec 1997. Revised 30 Mar 1999, 14 Jan 2000}
const {LRB constants}
  LRB_Mp   = 2315011; {kg, total LRB propellant mass}
  LRB_Ms   =  203747; {kg, LRB separation mass}
  LRB_N    =       7; {no. of LRB engines}
  LRB_D    =  8.4074; {m,  LRB diameter}
  LRB_A    =    30.7; {m^2, wings and tail cross-sectional area}
  LRB_R0   =    1.04; {thrust ratio at T0}
  LRB_R1   =    0.65; {minimum thrust ratio}
  LRB_T2   =    0.63; {s,  average thrust decay time}
  LRB_Ts   =   0.133; {s,  LRB separation time}
  LRB_Tt   =    10.0; {s,  throttle time for 100% thrust change}

  {ET constants}
  ET_D     =  8.4074; {m,  ET diameter}
  ET_A     =    4.04; {m^2, miscellaneous ET cross-sectional area}
  CA       =   233.0; {kg, coefficient for O2/H2 stage mass}
  CB       =   0.845; {power factor, mass must be t}

  {Spacecraft constants}
  SH_Ms    =    4494; {kg, shroud mass}
  US_Fv    = 1827080; {N,   vacuum thrust}
  US_Vv    =    4531; {m/s, vacuum exhaust speed}
  TMI_V    =    4465; {m/s, trans Mars injection delta V from 185 km}

  {MPS constants}
  MPS_N    =       3; {no. of engines}
  MPS_T3   =     6.7; {s, time before start of MECO}
  MPS_Ts   =      18; {s, separation time after MECO}
  MPS_R0   =    1.04; {thrust ratio at T0}
  MPS_R2   =    1.04; {thrust ratio at T2}
  MPS_R3   =    0.65; {thrust ratio at T3}
  MPS_Tt3  =      10; {s, MECO throttle down time for 100% thrust change}

  {SSME with O2/KERO propellants}
  NSTO_Fv = 5161611; {N,   vacuum thrust}
  NSTO_Fd =  422581; {N,   thrust loss at sea level}
  NSTO_Vv =    3628; {m/s, vacuum exhaust speed}
  NSTO_I  =    0.01; {thrust incremental ratio}

  {SSME constants.}
  SSME_Fv  = 2090664; {N,   vacuum thrust}
  SSME_Fs  = 1668083; {N,   sea level thrust}
  SSME_Vv  =    4444; {m/s, vacuum exhaust speed}

  {Launch constants}
  inc      =   28.45; {deg, Kennedy Space Center inclination}
  h_turn   =      56; {m,   pitch over altitude}
  angle1   =   -0.04; {deg, pitch over angle rate for stage 1}
  amax1    =   29.42; {m/s^2, maximum acceleration strain}
  a0       =   11.77; {m/s^2, initial acceleration}
  via      =  7890.9; {m/s, pre-transfer speed}
  epsilon  = 0.00001; {a very small non-zero number}
