procedure stage1;
{Finds the trajectory of a TSTO.
 Steven S. Pietrobon 26 Dec 1997. Revised 30 Mar 1999, 14 Jan 2000, 5 May 2010}
var f0_MPS,f0_LRB,m1_MPS,m1_LRB,LRB_Rd,LRB_Mp2,ET_Mp:double;
    dtt,dFt,dRpt,Te1:double;
    cutoff:boolean;
    I,J:integer;
    engine:array[1..LRB_N] of integer;

begin{stage 1}
  J := (LRB_N-1) div 2;
  engine[1] := LRB_N;
  for I := 1 to LRB_N-1 do
    if I mod 2 = 1
      then engine[I+1] := I
      else engine[I+1] := ((I+J-2) mod (2*J))+1;

  Ar := pi*(sqr(LRB_D) + sqr(ET_D))/4 + LRB_A + ET_A;
  Fd := LRB_N*NSTO_Fd + MPS_N*(SSME_Fv-SSME_Fs);
  Me := LRB_Ms + SH_Ms;
  t0 := 0.0;
  x0 := 0.0;
  x1s := cos(inc*pi/180)*2*pi*Re/T;
  x1 := x1s;
  h0 := 0.0;
  h1 := 0.0;
  r0 := 0.0;
  p0 := 0.0;
  dRp := 0.0;
  dF := 0.0;
  f0_MPS := MPS_N*MPS_R0*SSME_Fv;
  m1_MPS := -f0_MPS/SSME_Vv;
  f0_LRB := LRB_N*LRB_R0*NSTO_Fv;
  m1_LRB := -f0_LRB/NSTO_Vv;
  f0 := f0_MPS + f0_LRB;
  m1 := m1_MPS + m1_LRB;
  mi := (f0-Fd)/a0;
  ET_Mp := mi - Me - LRB_Mp;
  m0 := LRB_Mp + ET_Mp;
  write(t0:7:2,gs:6:1,round(x1s):6,round(h0):8,round(r0):10);
  writeln(90.0:7:2,0.0:7:2,90.0:7:2,0.0:9:1,m0+Me:10:1);

  dt := 1.0;
  dF := 0.0;
  dRp := 0.0;
  dp := 0.0;
  traj := air;
  fair := true;
  hmax := h_turn;
  traj_height;
  dt := 0.1;
  traj_height;
  dt := 0.01;
  traj_height;

  writeln('Pitch over!');
  dp := angle1*pi/180;
  dt := 1.0;
  trajectory;
  dp := 0.0;
  Te := tt;
  time_traj;
  dp := -angle1*pi/180;
  dt := 1.0;
  trajectory;

  writeln('End turn.');
  dp := 0.0;
  amax := amax1;
  dt := 1.0;  
  traj_acc;
  dt := 0.1;
  traj_acc;
  dt := 0.01;
  traj_acc;

  writeln('Maximum acceleration reached!');
  dtt := LRB_Tt*NSTO_I;
  dFt := -LRB_N*NSTO_Fv/LRB_Tt;
  dRpt := -dFt/NSTO_Vv;
  LRB_Rd := LRB_R0;
  cutoff := false;
  repeat
    dt := dtt;
    dF := dFt;
    dRp := dRpt;
    trajectory;
    LRB_Rd := LRB_Rd - NSTO_I;
    f0_LRB := LRB_N*LRB_Rd*NSTO_Fv;
    m1_LRB := -f0_LRB/NSTO_Vv;
    LRB_Mp2 := -m1_LRB*LRB_T2/2;
    dt := 1.0;
    dF := 0.0;
    dRp := 0.0;
    Te := (f0/amax1 - m0 - Me)/m1;
    Te1 := -(m0 - ET_Mp - t0*m1_MPS - LRB_Mp2)/m1_LRB;
    if Te1 < Te  then
      begin{cutoff}
        Te := Te1;
        cutoff := true;
      end;{cutoff}
    time_traj;
  until (cutoff = true) or (LRB_Rd < LRB_R1+epsilon);

  if cutoff = false then
    begin{engine shutdowns}
      I := 1;
      repeat
        writeln('Engine ',engine[I],' cutoff!');
        dt := LRB_T2;
        dF := -LRB_Rd*NSTO_Fv/dt;
        dRp := -dF/NSTO_Vv;
        trajectory;
        Fd := Fd - NSTO_Fd;
        f0_LRB := (LRB_N-I)*LRB_Rd*NSTO_Fv;
        m1_LRB := -f0_LRB/NSTO_Vv;
        LRB_Mp2 := -m1_LRB*LRB_T2/2;
        dt := 1.0;
        dF := 0.0;
        dRp := 0.0;
        Te := (f0/amax1 - m0 - Me)/m1;
        Te1 := -(m0 - ET_Mp - t0*m1_MPS - LRB_Mp2)/m1_LRB;
        if Te1 < Te  then
          begin{cutoff}
            Te := Te1;
            cutoff := true;
          end;{cutoff}
        time_traj;
        I := I+1;
      until (I > MPS_N) or (cutoff = true);
    end;{engine shutdowns}

  writeln('LRB cutoff!');
  fair := false;
  dt := LRB_T2;
  dF := -f0_LRB/dt;
  dRp := -dF/NSTO_Vv;
  trajectory;
  Fd := MPS_N*(SSME_Fv-SSME_Fs);
  dt := 1.0;
  dF := 0.0;
  dRp := 0.0;
  Te := LRB_Ts;
  time_traj;

  writeln('LRB seperation!');
end;{stage 1}
