procedure stage2;
{Finds the trajectory of the ET for the TSTO.
 Steven S. Pietrobon 23 Dec 1997. Revised 30 Mar 1999, 14 Jan 2000}
var m_p,m_e:double;
begin{stage 2}
  write(question,'ET maximum angle of attack? ');
  readln(maxa);
  maxa := maxa*pi/180;

  Fd := MPS_N*(SSME_Fv-SSME_Fs);
  f0 := MPS_N*SSME_Fv*MPS_R2;
  Ar := pi*sqr(ET_D)/4 + ET_A;
  m1 := -f0/SSME_Vv;
  Me := SH_Ms;
  dp := 0.0;
  dRp := 0.0;
  dF := 0.0;
  traj := orb;
  iorb := true;
  pow := 2.0;
  dt := 1.0;
  repeat
    trajectory;
    Te := -((m0 + Me)/(1/(exp((via-vi)/SSME_Vv)-1)+1))/m1;
  until Te < MPS_T3;
  Te := Te - MPS_T3;
  trajectory;

  writeln('SSME throttle down to ',round(100*MPS_R3):2,'%');
  dt := 1.0;
  Te := (MPS_R2 - MPS_R3)*MPS_Tt3;
  dF := -MPS_N*SSME_Fv/MPS_Tt3;
  dRp := -dF/SSME_Vv;
  iorb := true;
  pow := 1.0;
  time_traj;
  dF := 0.0;
  dRp := 0.0;
  dt := 1.0;
  repeat
    trajectory
  until vi > via;
  dt := -1.0;
  trajectory;
  dt := -((m0+Me)/(1/(exp((via-vi)/SSME_Vv)-1) + 1))/m1;
  trajectory;

  writeln('Main Engine Cutoff (MECO)!');
  write('Perigee = ',(hp/1000):5:1,' km, ');
  write('Apogee = ',(ha/1000):5:1,' km, ');
  writeln('Average Altitude = ',(hp+ha)/2000:5:1,' km');
  f0 := 0.0;
  m1 := 0.0;
  Fd := 0.0;
  dF := 0.0;
  dRp := 0.0;
  dt := 1.0;
  Te := MPS_Ts;
  traj := air;
  fair := false;
  time_traj;

  writeln('ET and Shroud separation!');
  write('Perigee = ',(hp/1000):5:1,' km, ');
  write('Apogee = ',(ha/1000):5:1,' km, ');
  writeln('Average Altitude = ',(hp+ha)/2000:5:1,' km');
  m_p := mi-m0-LRB_Ms-LRB_Mp-SH_Ms;
  m_e := CA*exp(CB*ln(m_p/990));
  writeln('m_p = ',round(m_p/0.99):1,' kg, m_e = ',round(m_e):1, ' kg.');
  m0 := m0-m_p/99.0-m_e;
end;{stage 2}
